#!/bin/bash 

# runs inside a timing loop
# running services output every 30 secs
cd /lamp_mon;
ps -ef > ./ps1.txt; 

for b in {120..1}; 
do rm -f ./ps1.txt; 
ps -ef > ./ps1.txt;
# checks that apache is running and returns 1 as count
cat ./ps1.txt | grep apache2 | grep root | grep -c start > ./apache_count.txt;
# checks that mysql is running and returns 1 as count
cat ./ps1.txt | grep -i mysqld  | grep -c mysqld.pid > ./mysql_count.txt;

# generate apache status image

file="./apache_count.txt"
a=$(cat "$file")

 if [ $a = 1 ]
then
   echo "Running" > ./apache_status_label.txt; 
   convert -background lightblue  -fill green \
   label:@/lamp_mon/apache_status_label.txt   /lamp_mon/apache_status_label.gif;
 fi

 if [ $a = 0 ] 
 then
   echo "Stopped" > ./apache_status_label.txt
   convert -background lightblue  -fill red \
   label:@/lamp_mon/apache_status_label.txt   /lamp_mon/apache_status_label.gif	
fi

# generate mysql status image
file="./mysql_count.txt"
c=$(cat "$file")

 if [ $c = 1 ]
then
   echo "Running" > ./mysql_status_label.txt; 
   convert -background lightblue  -fill green \
   label:@/lamp_mon/mysql_status_label.txt   /lamp_mon/mysql_status_label.gif;
 fi

if [ $c = 0 ] 
 then
   echo "Stopped" > ./mysql_status_label.txt
   convert -background lightblue  -fill red \
   label:@/lamp_mon/mysql_status_label.txt   /lamp_mon/mysql_status_label.gif	
fi

sleep 60; 
done;
rm -f ./mysql_status_label.gif;
rm -f ./apache_status_label.gif;







    
